### Method

# Vips Image wio_input

#### Declaration [src]

    int
    vips_image_wio_input (
      VipsImage* image
    )

#### Description [src]

Check that an image is readable via the `VIPS_IMAGE_ADDR()` macro, that is, that the entire image is in memory and all pixels can be read with `VIPS_IMAGE_ADDR()`. If it isn’t, try to transform it so that `VIPS_IMAGE_ADDR()` can work.

Since this function modifies `image`, it is not thread-safe. Only call it on images which you are sure have not been shared with another thread. If the image might have been shared, use the less efficient `vips_image_copy_memory()` instead.

See also

`vips_image_copy_memory()`, `vips_image_pio_input()`, `vips_image_inplace()`, `VIPS_IMAGE_ADDR()`.

#### Return value

Type: `int`

0 on success, or -1 on error.